body {
    margin-top: 10px;
    background-color: #424242;
}

.nome {
    color: white;
    font-size: 130%;
}

#check {
    opacity: 0; /* Torna o checkbox transparente */
    appearance: none; /* Remove o estilo padrão do navegador */
}

.nav-bar {
    width: 100%;
    height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    list-style: none;
    position: relative;
    background-color: #1e1f20;
    padding: 12px 20px; 
}
  
.menu { display: flex;}
.menu li {padding-left: 30px;}
.menu li a {
    display: inline-block;
    text-decoration: none;
    color: white;
    text-align: center;
    transition: 0.15s ease-in-out;
    position: relative;
    text-transform: uppercase;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(255, 255, 255, 0.30);
}
  
  
.menu li a::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 1px;
    transition: 0.15s ease-in-out;
} 
  
.menu li a:hover:after {width: 100%;}
  
.open-menu , .close-menu{
    position: absolute;
    color: white;
    cursor: pointer;
    font-size: 1.5rem;
    display: none;
}
  
.open-menu {
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}
  
.close-menu {
    top: 20px;
    right: 20px;
}

.sidebar {
    background-color: #1e1f20;
    color: white;
    height: 100%;
    padding: 20px 0;
}

.sidebar img {
    margin-bottom: 15px;
}

.sidebar h3 {
    margin-bottom: 20px;
}

.sidebar a {
    margin-left: 10px;
    display: block;
    color: white;
    padding-bottom: 10px;
    font-size: 20px;
    text-decoration: none;
}

.sidebar a:hover {
    color: white;
}

/* Estilo para os cartões */
.card {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    border: none;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.content {
    background-color: white;
    padding: 20px;
}

/* Estilo para o cabeçalho dos cartões */
.card h1 {
    margin-bottom: 20px;
}

/* Estilo para os textos */
.text-secondary {
    color: white;
}

/* Ajustes de layout */
@media (max-width: 768px) {
    .sidebar {
        text-align: center;
    }

    .sidebar a {
        text-align: center;
        font-size: 24px;
    }

    .menu {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 80%;
        height: 100vh;
        position: fixed;
        top: 0;
        right: -100%;
        z-index: 100;
        background-color: #1e1f20;
        transition: all 0.2s ease-in-out;
    }

    .menu li {margin-top: 40px;}
    .menu li a {padding: 10px;}
    .open-menu , .close-menu {display: block;}
    #check:checked ~ .menu {right: 0;}
}
